/**
 * Side.java
 * @author dennis
 * Created: Feb 21, 2006
 */
package game;

/** 
 * Represents possible sides of field that can be assigned to each team. 
 * The protocol layer needs to know which side each team is on so that it can direct
 * the players appropriately.
 */
public enum Side {	WEST, EAST ;

	/**
	 * Construct a Side from an ordinal number
	 * @param o ordinal number of a side
	 * @return result.ordinal() == o
	 */
	public static Side fromOrdinal(int o) {
		Side result = null;
		switch (o) {
		case 0:
			result = WEST;
			break;
		case 1:
			result = EAST;
			break;
		}
		return result;
		
	}
}