package game.net;

import java.io.InputStream ;

class Buffer
{
    public Buffer( InputStream init_in_stream ) {
        in_stream = init_in_stream ; }
    
    public void fill_with_available_characters() 
        throws java.io.IOException
    {
        int available = in_stream.available() ;
        int want = java.lang.Math.min( available, buffer_size-offset ) ;
        if( want == 0 ) return ;
        
        int got = in_stream.read( buffer, offset, want ) ;
        
        if( locn_of_first_newline == -1 ) {
            for(int k=offset; k < offset+got ; ++k) {
                if( buffer[k] == 10 ) {
                    locn_of_first_newline = k ;
                    break ; } } }
        
        offset += got ;
    }
    
    public boolean has_line() { return locn_of_first_newline != -1 ; }
    
    public void deliver_line( StringBuffer str ) {
        // Precondition: has_a_line() 
        int line_len = locn_of_first_newline+1 ;
        String line ;
        try {
            line = new String(buffer, 0, line_len, "ASCII") ; }
        catch( java.io.UnsupportedEncodingException e ) {
            throw new Error("Unsupported Encoding: ASCII" ) ; }
        str.setLength( 0 ) ;
        str.append( line ) ;
        
        locn_of_first_newline = -1 ;
        
        for( int j=0, k = line_len ; k < offset ; ++j, ++k ) {
            buffer[j] = buffer[k] ;
            if( locn_of_first_newline == -1 && buffer[j] == 10 ) {
                locn_of_first_newline = j ; } }
        
        offset -= line_len ;
    }
    
    public void shutdown() 
        throws java.io.IOException
    { in_stream.close() ; }
    
    private InputStream in_stream ;
    private static final int buffer_size = 1001 ;
    private byte[] buffer = new byte[ buffer_size ] ;
    private int offset = 0 ;
    private int locn_of_first_newline = -1 ;
}