package game.net;

import java.io.IOException ;

public interface Client_network_interface
{   /** Send one line to the server.
        @param line This should end in a newline.
        @throws java.io.IOException if the line can not be sent.
    */
    public void send_line( String line )
        throws IOException ;
        
    /** Attempt to read one line from the server. Returns a line when a newline is read,
    or when its internal buffer is full. The internal buffer holds at least
    1001 bytes.
    <P> The bytes read are converted to a String according to ASCII encoding.
    <P> Byte value 10 is used to mark the end of lines.
    @param str_buf a string buffer onto which the line will be appended if
               a line is read. Typically you would pass a new string buffer.
    @return true if the line was gotten and false otherwise.
    @exception java.io.IOException if there was trouble reading the line.
    */
    public boolean get_line( StringBuffer str_buf )
        throws IOException ;
}