/**
 * INetSimulator.java
 * @author dpeters
 * Created: Feb. 21, 2006
 */
package game.net;

import game.Side;

/**
 * Interface to protocol layer as seen by Simulator model. Each model is
 * required to call the appropriate method when each of the events occurs. 
 */
public interface INetSimulator {
	
	/**
	 * Inform teams that a game reset has occured.
	 */
	public void gameReset();
	
	/**
	 * Inform teams that a goal has been scored.
	 * @param westScore current score for team on WEST
	 * @param eastScore current score for team on EAST
	 */
	public void goalScored(int westScore, int eastScore);
	
	/**
	 * Inform teams that the game is over and who won.
	 * @param result the wining side. null indicates draw.
	 */
	public void gameOver(Side result);

}
