package game.net;

import game.protocol.ControlRequest;
import simulator.model.ISimulatorNet;

import java.util.LinkedList;

public class RequestQueue
{
    public RequestQueue()
    {
        mReqs = new LinkedList<ControlRequest>();
    }

    public void addRequest(ControlRequest newReq)
    {
        boolean indexFound = false;
        for(int i = 0; i < mReqs.size() && !indexFound; i++)
        {
            if( newReq.getTime() < mReqs.get(i).getTime() )
            {
                mReqs.add(i, newReq);
                indexFound = true;
            }
        }
        if(!indexFound)
        {
            mReqs.addLast(newReq);
        }
    }

    public void dispatchReqs(int time, ISimulatorNet sim)
    {
        while (!mReqs.isEmpty() && mReqs.getFirst().getTime() <= time)
        {
            mReqs.getFirst().dispatch(sim);
            mReqs.removeFirst();
        }
    }

    public void flush()
    {
        mReqs.clear();
    }

    private LinkedList<ControlRequest> mReqs;
}
