package game.net;

import java.io.IOException ;

public interface Server_network_interface
{
    /** A constant identifying one controller. EAST and WEST are
      uequal to each other and are both powers of 2. Note that the
      name WEST is not meant to convey that the controller
      controls the team on the "west" side of the field.
    */
    public static final int WEST = 1 ;
    /** A constant identifying one controller. EAST and WEST are
      uequal to each other and are both powers of 2.  Note that the
      name EAST is not meant to convey that the controller
      controls the team on the "west" side of the field.
    */
    public static final int EAST = 2 ;
    
    /** Send one line to a client.
    @param line this should end in a newline.
    @param which this should be server_network_layer.WEST or server_network_layer.EAST

    @throws java.io.IOException if the line can not be sent.
    */
    
    public void send_line( String line, int which )
        throws IOException ; 
    

    /** Attempt to read one line from either client. Returns a line when a newline is read,
    or when its internal buffer is full. The internal buffer holds at least
    1001 bytes.
    <P> The bytes read are converted to a string according to ASCII encoding
    <P> Byte value 10 is used to mark the end of lines.
    @param mask indicates where the line should come from.
          It may be, WEST, EAST, or WEST|EAST to indicate either is ok.
    @param str_buf a string buffer onto which the line will be appended if
               a line is read. Typically you would pass a new string buffer.
    @return server_network_layer.WEST if the line was gotten from the west
            client, server_network_layer.EAST if a line was gotten
            from the east client, and 0 if no line was read.
    @exception java.io.IOException if trouble reading the line.
    */
    public int get_line( int mask, StringBuffer str_buf )
        throws IOException ;
}