/**
 * EndRequest.java
 * @author pouria
 * Created: March 4, 2006
 */
package game.protocol;

import game.Side;
import simulator.model.*;

public class EndRequest extends Request
{
    public EndRequest(String req) throws ParseException
    {
        String regex = "end [012]\\n";
        if (!req.matches(regex))
        {
            throw new ParseException("Invalid request: " + req);
        }
        String[] comps = req.replaceAll("\\n", "").split(" ");
        int result = Integer.parseInt(comps[1]);
        mResult = (result == 2) ? null : Side.fromOrdinal(result);

        mType = Request.RequestType.END;
    }

    public EndRequest(Side result)
    {
        mResult = result;

        mType = Request.RequestType.END;
    }

    public Side getResult()
    {
        return mResult;
    }

    public String toString() {
        int result = (mResult == null) ? 2 : mResult.ordinal();
        return "end " + result + "\n";
    }

    private Side mResult;
}
