/**
 * QuitReply.java
 * @author dennis
 * Created: Feb 21, 2006
 */
package game.protocol;


/**
 * Indicates that the game is shutting down. Contains no other information.
 * <p>Invariant: mType == QUIT</p>
 */
public class QuitReply extends Reply {
	public QuitReply()
        {
            mType = ReplyType.QUIT;
        }

	/**
	 * Parse a quit reply.
	 * @param msg the message text
	 * @throws ParseException if it's not a quit.
	 */
	public QuitReply(String msg) throws ParseException {
		if (msg.startsWith("quit")) {
			mType = ReplyType.QUIT;
		} else {
			ParseException pe = new ParseException("Expected \"quit\"", msg, 0);
			log.throwing("QuitReply", "QuitReply(String)", pe);			
			throw pe;
		}
	}
	
	public String toString() {
		return "quit\n";
	}

}
