/**
 * ResetReply.java
 * @author dennis
 * Created: Feb 21, 2006
 */
package game.protocol;

/** 
 * First reply after a game reset. Contains no other information.
 * <p>Invariant: mType == RESET</p>
 */
public class ResetReply extends Reply {
	
	/**
	 * @param msg the message text
	 * @throws ParseException message format is incorrect.
	 */
	public ResetReply(String msg) throws ParseException {
		if (msg.startsWith("reset")) {
			mType = ReplyType.RESET;
		} else {
			ParseException pe = new ParseException("Expected \"reset\"", msg, 0);
			log.throwing("ResetReply", "ResetReply(String)", pe);
			throw pe;
		}
	}
	
	public ResetReply() {
		mType = ReplyType.RESET;
	}
	
	public String toString() {
		return "reset\n";
	}

}
