/**
 * SOCCER2008Request.java
 * @author pouria
 * Created: March 4, 2006
 */
package game.protocol;

import game.Student;
import simulator.model.ISimulatorNet;

public class SOCCER2008Request extends Request
{
    public SOCCER2008Request(String req) throws ParseException
    {
        String regex = "SOCCER2008 [a-zA-Z]{1,10}\\n";
        if (!req.matches(regex))
        {
        	ParseException e = new ParseException("Invalid request: " + req);
        	log.throwing("SOCCER2008Request", "SOCCER2008Request(String)", e);
            throw e;
        }
        String[] comps = req.replaceAll("\\n", "").split(" ");
        mTeam = Student.valueOf(comps[1]);

        mType = Request.RequestType.SOCCER2008;
    }

    public SOCCER2008Request(Student team) {
    	mTeam = team;

        mType = RequestType.SOCCER2008;
    }

    public Student getStudent()
    {
        return mTeam;
    }

    public String toString() {
    	return "SOCCER2008 " + mTeam + "\n";
    }

    private Student mTeam;
}
