/**
 * WantSideRequest.java
 * @author pouria
 * Created: March 4, 2006
 */
package game.protocol;

import game.Side;
import simulator.model.ISimulatorNet;

public class WantSideRequest extends Request
{
    public WantSideRequest(String req) throws ParseException
    {
        String regex = "want_side [01]\\n";
        if (!req.matches(regex))
        {
            throw new ParseException("Invalid request: " + req);
        }
        String[] comps = req.replaceAll("\\n", "").split(" ");
        mPrefSide = Side.fromOrdinal( Integer.parseInt(comps[1]) );

        mType = Request.RequestType.WANTSIDE;
    }

    public WantSideRequest(Side prefSide)
    {
    	mPrefSide = prefSide;

        mType = RequestType.WANTSIDE;
    }

    public Side getSide()
    {
        return mPrefSide;
    }

    public String toString() {
    	return "want_side " + mPrefSide.ordinal() + "\n";
    }

    private Side mPrefSide;
}
