package simulator.model;


/**
 * Interface of a structure encapsulating Cartesian (x,y) coordinate vector. 
 * <p>An acceptable simulator model must provide an implementation of this interface.</p>
 *
 * @author dpeters
 * @version 1.1
 */
public interface CartesianVect {
	
    /** Get the x coordinate.
     * @return x-axis value in meters or metres/sec. 0 is to the left. */
    public double getX() ;

    /** Get the y coordinate.
     * @return y-axis value in meters or metres/sec. 0 is to the bottom. */
    public double getY() ;
}