/**
 * ViewCloseListener.java
 * @author dennis
 * Created: Feb 18, 2006
 */
package simulator.view;

import java.awt.*;
import java.awt.event.*;

/**
 * A listener to respond to a view being closed.
 */
public class ViewCloseListener extends WindowAdapter {
	/**
	 * @param notifyMe the component that wants to be notified of the close
	 */
	public ViewCloseListener(Component notifyMe)
	{
		uiExists = true;
		toNotify = notifyMe;
	}
	
	/**
	 * @return true if the window exists, false if it has been closed.
	 */
	public boolean viewExists() {
		return uiExists;
	}
	
	public void windowClosed(WindowEvent e) 
	{
		uiExists = false;
		toNotify.repaint();
	}
	
	/** Set to false when the UI is closed */
	private boolean uiExists;
	
	/** The component that wants to be redrawn in response to a close event. */
	private Component toNotify;

}
